Markets

Open a market

Opens a Uniswap V4 market for a pair and fee, or a 1inch Aqua range for a pair, fee and ticks, at the current market price, for any two tokens that have a price. It takes an API key issued to your integration, and when the open has a network fee for you to pay it answers 402 with the transfer to send first.

POST
/api/vaults/markets/open

Authorization

X-API-Key<token>

Your API key. Authorizing a swap or opening a market takes a key issued to your integration, and the shared key the docs fill in reads and quotes only.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/vaults/markets/open" \  -H "Content-Type: application/json" \  -d '{    "chainId": 8453,    "venue": "v4",    "tokenA": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",    "tokenB": "0x4200000000000000000000000000000000000006",    "fee": 500  }'
{  "venue": "v4",  "created": false,  "strategyId": "73086146705848958925038911468545957365231546973472400550838979085175874948157",  "poolId": "0xa1954b08e9ed9a942bb49b8d5e4ead04d20d070947fee03892b9b22a7df88c3d",  "key": {    "currency0": "0x4200000000000000000000000000000000000006",    "currency1": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",    "fee": 500,    "tickSpacing": 10,    "hooks": "0x5Aef2c787AFC743D20FD632D66391B2ccd5c68C0"  },  "armed": true,  "initializeTxHash": null,  "armTxHash": null}
{  "venue": "v4",  "created": true,  "strategyId": "73086146705848958925038911468545957365231546973472400550838979085175874948157",  "poolId": "0xa1954b08e9ed9a942bb49b8d5e4ead04d20d070947fee03892b9b22a7df88c3d",  "key": {    "currency0": "0x4200000000000000000000000000000000000006",    "currency1": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",    "fee": 500,    "tickSpacing": 10,    "hooks": "0x5Aef2c787AFC743D20FD632D66391B2ccd5c68C0"  },  "armed": true,  "initializeTxHash": null,  "armTxHash": "0xabababababababababababababababababababababababababababababababab"}
{  "error": "string",  "code": "string",  "message": "string",  "details": {},  "requestId": "string"}
{  "error": "string",  "code": "string",  "message": "string",  "details": {},  "requestId": "string"}
{  "error": "string",  "code": "string",  "message": "string",  "details": {},  "requestId": "string"}
{  "error": "string",  "code": "string",  "message": "string",  "details": {},  "requestId": "string"}
{  "error": "string",  "code": "string",  "message": "string",  "details": {},  "requestId": "string"}
{  "error": "string",  "code": "string",  "message": "string",  "details": {},  "requestId": "string"}